### Virtual Method

# EBackend Backend authenticate_sync

#### Declaration [src]

    ESourceAuthenticationResult
    authenticate_sync (
      EBackend* backend,
      const ENamedParameters* credentials,
      gchar** out_certificate_pem,
      GTlsCertificateFlags* out_certificate_errors,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Authenticate synchronously.

#### Parameters

`credentials`

  Type: `ENamedParameters`

  No description available.

  The data is owned by the caller of the method.

`out_certificate_pem`

  Type: `gchar**`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_certificate_errors`

  Type: `GTlsCertificateFlags`

  No description available.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ESourceAuthenticationResult`

No description available.